From 7db7dade2481ff7113242b943a0f2362aeaacc5a Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 11 2020 21:12:49 +0000
Subject: [PATCH 255/2232] Make it explicit when going from T to Box<T>


---

diff --git a/include/cxx.h b/include/cxx.h
index 157c31e..2ffacc5 100644
--- a/include/cxx.h
+++ b/include/cxx.h
@@ -94,11 +94,11 @@ public:
 
   Box(const Box &other) : Box(*other) {}
   Box(Box &&other) noexcept : ptr(other.ptr) { other.ptr = nullptr; }
-  Box(const T &val) {
+  explicit Box(const T &val) {
     this->uninit();
     ::new (this->ptr) T(val);
   }
-  Box(T &&val) {
+  explicit Box(T &&val) {
     this->uninit();
     ::new (this->ptr) T(std::move(val));
   }

